# SympyNodeRenderer class

(Shortest import: `from brian2.parsing.rendering import SympyNodeRenderer)`

class brian2.parsing.rendering.SympyNodeRenderer(auto_vectorise=None)

  Bases: `NodeRenderer`

  Methods

  `render_BinOp`(node) |
  `render_BoolOp`(node) |
  `render_Call`(node) |
  `render_Compare`(node) |
  `render_Constant`(node) |
  `render_Name`(node) |
  `render_UnaryOp`(node) |
  `render_func`(node) |

  Details

  render_BinOp(node)
  render_BoolOp(node)
  render_Call(node)
  render_Compare(node)
  render_Constant(node)
  render_Name(node)
  render_UnaryOp(node)
  render_func(node)